[android-components](../../index.md) / [mozilla.components.support.base.observer](../index.md) / [ConsumableStream](index.md) / [remove](./remove.md)

# remove

`@Synchronized fun remove(value: `[`T`](index.md#T)`): `[`ConsumableStream`](index.md)`<`[`T`](index.md#T)`>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/base/src/main/java/mozilla/components/support/base/observer/Consumable.kt#L175)

Copies the stream but removes all consumables equal to the provided value.

### Parameters

`value` - the value to remove.

**Return**
a new consumable stream with the matching values removed.

